## Name

ltdbtool — manipulate CTDB's local TDB files

## Synopsis

`ltdbtool` [`OPTION`...] {`COMMAND`} [`COMMAND-ARGS`]

## DESCRIPTION

ltdbtool is a utility to manipulate CTDB's local TDB databases (LTDBs) without connecting to a CTDB daemon.

It can be used to:

- dump the contents of a LTDB, optionally printing the CTDB record header information,

- convert between an LTDB and a non-clustered tdb by adding or removing CTDB headers and

- convert between 64 and 32 bit LTDBs where the CTDB record headers differ by 4 bytes of padding.

## OPTIONS

-e

  Dump empty records. These are normally excluded.

-p

  Dump with header information, similar to "ctdb catdb".

-s { 0 | 32 | 64 }

  Specify how to determine the CTDB record header size for the input database:

  0

    no CTDB header

  32

    CTDB header size of a 32 bit system (20 bytes)

  64

    CTDB header size of a 64 bit system (24 bytes)

  The default is 32 or 64 depending on the system architecture.

-o { 0 | 32 | 64 }

  Specify how to determine the CTDB record header size for the output database, see -s.

-S `SIZE`

  Explicitly specify the CTDB record header SIZE of the input database in bytes.

-O `SIZE`

  Explicitly specify the CTDB record header SIZE for the output database in bytes.

-h

  Print help text.

## COMMANDS

help

  Print help text.

dump `IDB`

  Dump the contents of an LTDB input file IDB to standard output in a human-readable format.

convert `IDB` `ODB`

  Copy an LTDB input file IDB to output file ODB, optionally adding or removing CTDB headers.

## EXAMPLES

Print a local tdb in "tdbdump" style:

          ltdbtool dump idmap2.tdb.0

Print a local tdb with header information similar to "ctdb catdb":

          ltdbtool dump -p idmap2.tdb.0

Strip the CTDB headers from records:

          ltdbtool convert -o0 idmap2.tdb.0 idmap.tdb

Strip 64 bit CTDB headers from records, running on i386:

          ltdbtool convert -s64 -o0 idmap2.tdb.0 idmap.tdb

Strip the CTDB headers from records by piping through tdbrestore:

          ltdbtool dump idmap2.tdb.0 | tdbrestore idmap.tdb

Convert a local tdb from a 64 bit system for usage on a 32 bit system:

          ltdbtool convert -s64 -o32 idmap2.tdb.0 idmap2.tdb.1

Add a default header:

          ltdbtool convert -s0 idmap.tdb idmap2.tdb.0

## SEE ALSO

ctdb(1), tdbdump(1), tdbrestore(1), ctdb(7), http://ctdb.samba.org/